<?php
header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");
$res = array();
$sql = "SELECT elemred AS id, calle, historial FROM cat_tramos WHERE activo = 0";
$resultado = mysqli_query($con,$sql);
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $elem = array(
                   'id'=>$row['id'],
                   'tipo'=>'TRAMO',
                   'calle'=>$row['calle'],
                   'historial'=>$row['historial']
                     );
           array_push($res,$elem);
        }
    }
}  
$sql = "SELECT elem_red AS id, calle, historial FROM cat_psingulares WHERE activo = 0";
$resultado = mysqli_query($con,$sql);
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $elem = array(
                   'id'=>$row['id'],
                   'tipo'=>'PSINGULAR',
                   'calle'=>$row['calle'],
                   'historial'=>$row['historial']
                     );
           array_push($res,$elem);
        }
    }
}
$sql = "SELECT elem_red AS id, calle, historial FROM cat_captaciones WHERE activo = 0";
$resultado = mysqli_query($con,$sql);
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $elem = array(
                   'id'=>$row['id'],
                   'tipo'=>'CAPTACION',
                   'calle'=>$row['calle'],
                   'historial'=>$row['historial']
                     );
           array_push($res,$elem);
        }
    }
}

$resultado = null;
mysqli_close($con);
echo json_encode($res);
?>